using System;
using System.Data.SqlClient;
using System.Configuration;

namespace Aspitalia.Books.Web.Chapter9
{
    public partial class ExecuteScalar : System.Web.UI.Page
    {
        protected override void OnLoad(EventArgs e)
        {
            // Creazione della connessione
            using (SqlConnection conn = new SqlConnection(ConfigurationManager.ConnectionStrings["SqlNorthwind"].ConnectionString))
            {
                // Apertura della connessione
                conn.Open();

                // Creazione del comando
                SqlCommand cmd = new SqlCommand("SELECT COUNT(*) FROM Customers", conn);

                // Ritorna un valore intero
                int count = (int) cmd.ExecuteScalar();

                CommandLiteral.Text = cmd.CommandText;
                ResultLiteral.Text = count.ToString();

            } // La connessione viene chiusa automaticamente alla fine del blocco Using
        }
    }
}
