Imports System
Imports System.Data.SqlClient
Imports System.Configuration

Namespace Aspitalia.Books.Web.Chapter9

    Partial Class ExecuteScalar
        Inherits System.Web.UI.Page

        Protected Overrides Sub OnLoad(ByVal e As System.EventArgs)

            ' Creazione della connessione
            Using conn As New SqlConnection(ConfigurationManager.ConnectionStrings("SqlNorthwind").ConnectionString)

                ' Apertura della connessione
                conn.Open()

                ' Creazione del comando
                Dim cmd As New SqlCommand("SELECT COUNT(*) FROM Customers", conn)

                ' Ritorna un valore intero
                Dim count As Integer = CInt(cmd.ExecuteScalar())

                CommandLiteral.Text = cmd.CommandText
                ResultLiteral.Text = count.ToString()

            End Using ' La connessione viene chiusa automaticamente alla fine del blocco Using

        End Sub

    End Class

End Namespace
