﻿<%@ Page Language="C#" AutoEventWireup="true" masterpagefile="~/MasterPage.master" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
	<script runat="server">
		protected void Button2_Click(object sender, EventArgs e) {
			label1.Text = Request.Cookies["COOKIE1"]["CHIAVE1"] + " " + Request.Cookies["COOKIE1"]["CHIAVE2"];
			if (Request.Cookies["COOKIE2"] != null) {
				label2.Text = Request.Cookies["COOKIE2"]["CHIAVE1"] + " " + Request.Cookies["COOKIE2"]["CHIAVE2"];
			}
			else {
				label2.Text = "Il cookie con ID COOKIE2 è spirato ne verrà creato un altro";
				HttpCookie cookie2 = new HttpCookie("COOKIE2");
				cookie2.Expires = DateTime.Now.AddSeconds(15);
				cookie2.Value = "VALORE";
				cookie2["CHIAVE1"] = "COOKIE2 - VALORE1" + DateTime.Now;
				cookie2["CHIAVE2"] = "COOKIE2 - VALORE2" + DateTime.Now;
				Response.AppendCookie(cookie2);
			}
		}

		protected void Button1_Click(object sender, EventArgs e) {
			HttpCookie cookie = new HttpCookie("COOKIE1");
			cookie.Values["CHIAVE1"] = "COOKIE1 - VALORE1";
			cookie.Values["CHIAVE2"] = "COOKIE1 - VALORE2";
			Response.Cookies.Add(cookie);
			HttpCookie cookie2 = new HttpCookie("COOKIE2");
			cookie2.Expires = DateTime.Now.AddSeconds(15);
			cookie2["CHIAVE1"] = "COOKIE2 - VALORE1";
			cookie2["CHIAVE2"] = "COOKIE2 - VALORE2";
			Response.Cookies.Add(cookie2);
		}

		protected void Button3_Click(object sender, EventArgs e) {
			if (Request.Cookies["SLIDING"] != null) {
				Response.Cookies.Add(Request.Cookies["SLIDING"]);
				Response.Cookies[0].Expires = DateTime.Now.AddSeconds(10);
				label1.Text = "Cookie con sliding Expiration che scade il " + Request.Cookies["SLIDING"].Expires;
			}
			else {
				Response.Cookies.Add(new HttpCookie("SLIDING"));
				Response.Cookies["SLIDING"].Expires = DateTime.Now.AddSeconds(10);
				label1.Text = "Cookie inesistente o scaduto. Ricreato";
			}
		}
	</script>
	<h4>Esempio 12.7 - Creazione Cookie</h4>
	<asp:button id="Button1" runat="server" text="Crea cookie" onclick="Button1_Click" />
	<hr />

	<h4>Esempio 12.8 - Lettura Cookie</h4>
	<asp:button id="Button2" runat="server" text="visualizza cookie" onclick="Button2_Click" />
	<hr />

	<h4>Esempio 12.9 - Sliding Expiration Cookie</h4>
	<asp:button id="Button3" runat="server" text="Sliding Expiration" onclick="Button3_Click" />
	<hr />

	<p><asp:label id="label1" runat="server" /></p>
	<p><asp:label id="label2" runat="server" /></p>
</asp:Content>
