Imports System
Imports System.Data
Imports System.Configuration
Imports System.Web
Imports System.Web.Security
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Web.UI.WebControls.WebParts
Imports System.Web.UI.HtmlControls
 
Namespace ASPItalia.Books.Web.Chapter13
 
    Public Class TimeList
	 Inherits CompositeControl
 
        Private list As DropDownList
        Private time As TextBox
 
        Protected Overrides  Sub CreateChildControls()
            MyBase.CreateChildControls()
 
            ' Creo la TextBox per inserire il valore
            time = New TextBox()
            time.Columns = 4
            time.Text = "0"
            Me.Controls.Add(time)
 
            ' Creo la lista delle tipologie di tempo
            list = New DropDownList()
            list.Items.Add(New ListItem("giorni","d"))
            list.Items.Add(New ListItem("minuti","h"))
            list.Items.Add(New ListItem("secondi","m"))
            Me.Controls.Add(list)
        End Sub
 
        Public ReadOnly Property TimeSpan() As TimeSpan
        	Get 
                EnsureChildControls()
 
                ' Recupero il valore
                Dim t As Double =  Convert.ToDouble(Me.time.Text) 
                ' In base all'unit calcolo il timespan
                Select Case list.SelectedValue
                    Case "d"
                        Return System.TimeSpan.FromDays(t)
                    Case "h"
                        Return System.TimeSpan.FromHours(t)
                    Case "m"
                        Return System.TimeSpan.FromMinutes(t)
                End Select
 
                Return System.TimeSpan.Zero
        	End Get
        End Property
    End Class
 
End Namespace
