<%@ Page Language="VB" AutoEventWireup="true" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
	Sub Page_Load()
		If Not Page.IsPostBack Then
			UpdateRolesList()
		End If
	End Sub
	
	Sub UpdateRolesList()
		RolesList.DataSource = Roles.GetAllRoles()
		RolesList.DataBind()
	End Sub
	
	Sub Role_Delete(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.GridViewDeleteEventArgs)
		Dim roleName As String = DirectCast(RolesList.Rows(e.RowIndex).Controls(0).Controls(0), DataBoundLiteralControl).Text
		
		' togli utenti dal ruolo
		If Roles.GetUsersInRole(roleName).Length > 0 Then
			Roles.RemoveUsersFromRole(Roles.GetUsersInRole(roleName), roleName)
		End If
		
		' elimina il ruolo
		Roles.DeleteRole(roleName)
		
		UpdateRolesList()
	End Sub

	Protected Sub NewRoleButton_Click(ByVal sender As Object, ByVal e As System.EventArgs)
		Roles.CreateRole(NewRole.Text)
		UpdateRolesList()
	End Sub
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title>Capitolo 16</title>
</head>
<body>
	<form id="form1" runat="server">
		<div>
			<a href="./">Torna al pannello</a>
			<h1>
				Aggiungi/modifica ruoli</h1>
			<asp:GridView ID="RolesList" runat="server" AutoGenerateColumns="false" OnRowDeleting="Role_Delete">
				<Columns>
					<asp:TemplateField HeaderText="Ruolo">
						<ItemTemplate>
							<%#Container.DataItem%>
						</ItemTemplate>
					</asp:TemplateField>
					<asp:ButtonField CommandName="Delete" Text="Elimina ruolo" HeaderText="Elimina" />
				</Columns>
			</asp:GridView>
			<p>
				Nuovo ruolo
				<asp:TextBox ID="NewRole" runat="Server" />
				<asp:Button ID="NewRoleButton" runat="server" Text="Aggiungi" OnClick="NewRoleButton_Click" />
		</div>
	</form>
</body>
</html>
