<%@ Page Language="VB" AutoEventWireup="true" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
	Sub Page_Load()
		If Not Page.IsPostBack Then
			UpdateRolesList()
		End If
	End Sub
	
	Sub UpdateRolesList()
		RolesList.DataSource = Roles.GetRolesForUser(Request("username"))
		RolesList.DataBind()
		
		AvailableRolesList.DataSource = Roles.GetAllRoles()
		AvailableRolesList.DataBind()
			
		' togliamo quelli gi attivati
		For i As Integer = 0 To AvailableRolesList.Items.Count - 1
			For j As Integer = 0 To RolesList.Items.Count - 1
				If AvailableRolesList.Items(i).Text = RolesList.Items(j).Text Then
					AvailableRolesList.Items.RemoveAt(j)
				End If
			Next
		Next
	End Sub

	Protected Sub AddToRoleButton_Click(ByVal sender As Object, ByVal e As System.EventArgs)
		' verifica selezionati
		For i As Integer = 0 To AvailableRolesList.Items.Count - 1
			If AvailableRolesList.Items(i).Selected Then
				Roles.AddUserToRole(Request("username"), AvailableRolesList.Items(i).Text)
			End If
		Next
		UpdateRolesList()
	End Sub
	
	Protected Sub RemoveFromRoleButton_Click(ByVal sender As Object, ByVal e As System.EventArgs)
		' verifica selezionati
		For i As Integer = 0 To RolesList.Items.Count - 1
			If RolesList.Items(i).Selected Then
				Roles.RemoveUserFromRole(Request("username"), RolesList.Items(i).Text)
			End If
		Next
		UpdateRolesList()
	End Sub
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title>Capitolo 16</title>
</head>
<body>
	<form id="form1" runat="server">
		<div>
			<a href="./">Torna al pannello</a>
			<table width="100%">
				<tr>
					<td>
						<h1>
							Ruoli attuali per l'utente</h1>
						<asp:ListBox ID="RolesList" runat="server" /><br />
						<asp:Button ID="RemoveFromRoleButton" runat="server" Text="Rimuovi da ruoli selezionati"
							OnClick="RemoveFromRoleButton_Click" />
					</td>
					<td>
						<h1>
							Ruoli disponibili</h1>
						<asp:ListBox ID="AvailableRolesList" SelectionMode="Multiple" runat="server" />
						<br />
						<asp:Button ID="AddToRoleButton" runat="server" Text="Aggiungi a ruoli selezionati"
							OnClick="AddToRoleButton_Click" />
					</td>
				</tr>
			</table>
		</div>
	</form>
</body>
</html>
