﻿<%@ Page Language="VB" AutoEventWireup="true" masterpagefile="~/MasterPage.master" %>
<%@ import namespace="System.Data.SqlClient" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">

<script runat="server">
	Private CONNECTIONSTRING As String = ConfigurationManager.ConnectionStrings("db").ConnectionString

	protected sub Page_Load(sender As Object, e As EventArgs) 
		If Not Page.IsPostBack Then
			Dim restrictions(4) As String
			restrictions(0) = "Northwind"
			restrictions(1) = Nothing
			restrictions(2) = Nothing
			restrictions(3) = "BASE TABLE"
			Dim conn As New SqlConnection(CONNECTIONSTRING)
			conn.Open()
			ddlListaTabelle.DataSource = conn.GetSchema(SqlClientMetaDataCollectionNames.Tables, restrictions)
			ddlListaTabelle.DataBind()
			conn.Close()
		End If
	End Sub

	Protected Sub btnAbilitaDB_Click(ByVal sender As Object, ByVal e As EventArgs)
		SqlCacheDependencyAdmin.EnableNotifications(CONNECTIONSTRING)
		lbl.Text = "Database abilitato"
	End Sub

	Protected Sub btnAbilitaTabella_Click(ByVal sender As Object, ByVal e As EventArgs)
		SqlCacheDependencyAdmin.EnableTableForNotifications(CONNECTIONSTRING, ddlListaTabelle.SelectedValue)
		lbl.Text = "tabella " + ddlListaTabelle.SelectedValue + " abilitata"
		ddlListaTabelleAbilitate.DataSource = SqlCacheDependencyAdmin.GetTablesEnabledForNotifications(CONNECTIONSTRING)
		ddlListaTabelleAbilitate.DataBind()
	End Sub

	Protected Sub btnListaTabelle_Click(ByVal sender As Object, ByVal e As EventArgs)
		grd.DataSource = SqlCacheDependencyAdmin.GetTablesEnabledForNotifications(CONNECTIONSTRING)
		grd.DataBind()
	End Sub

	Protected Sub btnDisabilitaTabella_Click(ByVal sender As Object, ByVal e As EventArgs)
		SqlCacheDependencyAdmin.DisableTableForNotifications(CONNECTIONSTRING, ddlListaTabelle.SelectedValue)
		lbl.Text = "tabella " + ddlListaTabelle.SelectedValue + " disabilitata"
		grd.DataSource = SqlCacheDependencyAdmin.GetTablesEnabledForNotifications(CONNECTIONSTRING)
		grd.DataBind()
		ddlListaTabelleAbilitate.DataSource = SqlCacheDependencyAdmin.GetTablesEnabledForNotifications(CONNECTIONSTRING)
		ddlListaTabelleAbilitate.DataBind()
	End Sub

	Protected Sub btnDisbilitaDB_Click(ByVal sender As Object, ByVal e As EventArgs)
		SqlCacheDependencyAdmin.DisableNotifications(CONNECTIONSTRING)
		lbl.Text = "Database disabilitato"
	End Sub

</script>
	<h4>Esempio 17.20 - Abilita il database</h4>
	<asp:button id="btnAbilitaDB" runat="server" text="Abilita DB" onclick="btnAbilitaDB_Click" />
	<hr />

	<h4>Esempio 17.20 - Abilita la tabella</h4>
	<asp:button id="btnAbilitaTabella" runat="server" text="Abilita tabella" onclick="btnAbilitaTabella_Click" />
	<asp:dropdownlist id="ddlListaTabelle" runat="server" datavaluefield="TABLE_NAME"/>
	<hr />

	<h4>Esempio 17.20 - Lista tabelle abilitate</h4>
	<asp:button id="btnListaTabelle" runat="server" text="Lista tabelle" onclick="btnListaTabelle_Click" />
	<asp:gridview id="grd" runat="server" />
	<hr />

	<h4>Esempio 17.20 - Disabilita tabella</h4>
	<asp:button id="btnDisabilitaTabella" runat="server" text="Disabilita tabella" onclick="btnDisabilitaTabella_Click" />
	<asp:dropdownlist id="ddlListaTabelleAbilitate" runat="server" />
	<hr />

	<h4>Esempio 17.20 - Disabilita database</h4>
	<asp:button id="btnDisbilitaDB" runat="server" text="Disabilita db" onclick="btnDisbilitaDB_Click" />
	<asp:label id="lbl" runat="server" />
	<hr />
</asp:Content>