﻿<%@ Page Language="VB" AutoEventWireup="true" culture="auto" meta:resourcekey="PageResource1" uiculture="auto" masterpagefile="~/MasterPage.master" title="<%$Resources: PrimaryRes, Titolo %>" %>
<script runat="server">
	Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs)
		Label1.Text = Convert.ToString(GetLocalResourceObject("chiave"))
		Label2.Text = Convert.ToString(HttpContext.GetLocalResourceObject("~/Page.aspx", "chiave"))
		Button2.Text = Resources.SecondaryRes.Chiave
		Button3.Text = Convert.ToString(GetGlobalResourceObject("SecondaryRes", "Chiave"))
		Button4.Text = Convert.ToString(HttpContext.GetGlobalResourceObject("SecondaryRes", "Chiave"))
	end sub
</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
	<h4>Esempio 18.1 - Bottone con testo localizzato tramite risorsa locale</h4>
	<asp:button id="btn" runat="server" meta:resourcekey="btn" commandargument="<%$Resources: SecondaryRes, NETWEBSITE%>"/>
	<hr />

	<h4>Esempio 18.2 - Label valorizzata da codice con risorsa locale</h4>
	<asp:label id="Label1" runat="server" />
	<hr />

	<h4>Esempio 18.3 - Label valorizzata da codice con risorsa locale con riferimento alla pagina</h4>
	<asp:label id="Label2" runat="server" />
	<hr />

	<h4>Esempio 18.4 - bottone con testo localizzato con risorsa globale</h4>
	<asp:button id="Button1" runat="server" text="<%$Resources: PrimaryRes, Chiave %>" />
	<hr />
	
	<h4>Esempio 18.5 - Bottone con testo localizzato con risorsa globale da codice tipizzata</h4>
	<asp:button id="Button2" runat="server" />
	<hr />
	
	<h4>Esempio 18.6 - Bottone con testo localizzato con risorsa globale da codice non tipizzata e tramite Context</h4>
	<asp:button id="Button3" runat="server" />
	<asp:button id="Button4" runat="server" />
	<hr />

	<h4>Esempio 18.8 - Menu Localizzato con risorse locali e globali</h4>
	<asp:menu id="Menu1" runat="server" datasourceid="SiteMapDataSource1"></asp:menu>
	<asp:sitemapdatasource id="SiteMapDataSource1" runat="server" showstartingnode="false" />
	<hr />

	<h4>Esempio 18.9 - Controllo Localizable</h4>
	<asp:localize id="loc" runat="server" Text="<%$Resources: PrimaryRes, Chiave%>" />
	<hr />
</asp:Content>