<%@ Page Language="C#" %>
<%@ Import Namespace="System.Xml" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">

void Page_Load()
{
    // Creo l'oggetto
    XmlDocument doc = new XmlDocument();
    // Carico il file xml
    doc.Load(Request.MapPath("test.xml"));
    // Conto i figli (product) del nodo root (products)
    int productCount = doc.DocumentElement.ChildNodes.Count;
    // Recupero il tag details dal primo tag product all'interno del nodo root products
    XmlElement details = (XmlElement)doc.DocumentElement.ChildNodes[0].FirstChild;
    // Recupero il primo tag detail e cambio l'attributo value
    details.FirstChild.Attributes["value"].Value = "40x30";
    // Recupero l'xml nella forma originale del tag details
    string detailsXml = details.OuterXml;
    // Persisto le modifiche sul file
    //doc.Save(Request.MapPath("test.xml"));

    StringBuilder sb = new StringBuilder();
    sb.AppendFormat("Products: {0}", productCount);
    sb.AppendLine();
    sb.AppendFormat("Details: {0}", detailsXml);
    sb.AppendLine();
    data.Value = sb.ToString();
}

</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>A.1</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <textarea cols="40" rows="10" id="data" runat="server"></textarea>
    </div>
    </form>
</body>
</html>
