using System;
using System.Text;
using System.Data.SqlClient;
using System.Configuration;

namespace Aspitalia.Books.Web.Chapter9
{
    public partial class ExecuteReader : System.Web.UI.Page
    {
        protected override void OnLoad(EventArgs e)
        {
            // Creazione della connessione
            using(SqlConnection conn = new SqlConnection(ConfigurationManager.ConnectionStrings["SqlNorthwind"].ConnectionString))
            {
                // Apertura della connessione
                conn.Open();
                
                // Creazione del comando
                SqlCommand cmd = new SqlCommand("SELECT CustomerID, CompanyName, ContactName, City FROM Customers", conn);

                // Ritorna un resultset
                SqlDataReader reader = cmd.ExecuteReader();
                
                StringBuilder builder = new StringBuilder();
                
                // Ciclo sul risultato della query
                while(reader.Read())
                {
                    builder.Append(string.Concat(reader.GetString(0), " - ", reader.GetString(1), " - ", reader.GetString(2), " - ", reader.GetString(3), "<br />"));
                }
                
                CommandLiteral.Text = cmd.CommandText;
                ResultLiteral.Text = builder.ToString();
                
            } // La connessione viene chiusa automaticamente alla fine del blocco Using
        }
    }
}
