Imports System
Imports System.Text
Imports System.Data.SqlClient
Imports System.Configuration

Namespace Aspitalia.Books.Web.Chapter9

    Partial Class ExecuteReader
        Inherits System.Web.UI.Page

        Protected Overrides Sub OnLoad(ByVal e As System.EventArgs)

            ' Creazione della connessione
            Using conn As New SqlConnection(ConfigurationManager.ConnectionStrings("SqlNorthwind").ConnectionString)

                ' Apertura della connessione
                conn.Open()

                ' Creazione del comando
                Dim cmd As New SqlCommand("SELECT CustomerID, CompanyName, ContactName, City FROM Customers", conn)

                ' Ritorna un resultset
                Dim reader As SqlDataReader = cmd.ExecuteReader()

                Dim builder As New StringBuilder()

                ' Ciclo sul risultato della query
                While reader.Read()
                    builder.Append(String.Concat(reader.GetString(0), " - ", reader.GetString(1), " - ", reader.GetString(2), " - ", reader.GetString(3), "<br />"))
                End While

                CommandLiteral.Text = cmd.CommandText
                ResultLiteral.Text = builder.ToString()

            End Using ' La connessione viene chiusa automaticamente alla fine del blocco Using

        End Sub

    End Class

End Namespace
