﻿<%@ Page Language="C#" AutoEventWireup="true" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>10.12</title>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:SqlDataSource ConnectionString="<%$ ConnectionStrings:northwind %>" SelectCommand="SELECT DISTINCT Country FROM Customers" ID="countriesSource" runat="server" />
            <asp:SqlDataSource ConnectionString="<%$ ConnectionStrings:northwind %>"
                SelectCommand="SELECT CustomerID, CompanyName, ContactName, Phone, Country FROM Customers" FilterExpression="Country = '{0}'" ID="customersSource" runat="server"
                UpdateCommand="UPDATE Customers SET CompanyName = @CompanyName WHERE CustomerID = @CustomerID"
                DeleteCommand="DELETE FROM Customers WHERE CustomerID = @CustomerID">
                <FilterParameters>
                    <asp:ControlParameter ControlID="countriesList" DefaultValue="" PropertyName="SelectedValue" />
                </FilterParameters>
            </asp:SqlDataSource>
            Paesi:
            <asp:DropDownList ID="countriesList" AutoPostBack="true" DataSourceID="countriesSource" DataTextField="Country" DataValueField="Country" runat="server" />
            <br />
            Clienti:
            <asp:GridView ID="gridView1" DataKeyNames="CustomerID" runat="server" DataSourceID="customersSource" AutoGenerateColumns="False" AllowSorting="True">
                <Columns>
                    <asp:BoundField DataField="CustomerID" HeaderText="ID" ReadOnly="True" SortExpression="CustomerID" />
                    <asp:BoundField DataField="CompanyName" HeaderText="Societ&#224;" SortExpression="CompanyName" />
                    <asp:BoundField DataField="ContactName" HeaderText="Nome" SortExpression="ContactName" />
                    <asp:BoundField DataField="Phone" HeaderText="Telefono" SortExpression="Phone" />
                    <asp:CommandField CancelText="Annulla" DeleteText="Elimina" EditText="Modifica" UpdateText="Aggiorna" ShowEditButton="true" ShowCancelButton="true" ShowDeleteButton="true" />
                </Columns>
            </asp:GridView>
        </div>
    </form>
</body>
</html>
