﻿<%@ Page Language="VB" AutoEventWireup="true" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>10.17</title>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:SqlDataSource ConnectionString="<%$ ConnectionStrings:northwind %>"
                ID="customersSource" runat="server"
                SelectCommand="SELECT CustomerID, CompanyName, ContactName, Phone, Country FROM Customers"
                UpdateCommand="UPDATE Customers SET CompanyName = @CompanyName, Country = @Country WHERE CustomerID = @CustomerID"
                DeleteCommand="DELETE FROM Customers WHERE CustomerID = @CustomerID">
            </asp:SqlDataSource>
            
<asp:DetailsView ID="detailsView1" DataKeyNames="CustomerID" runat="server" DataSourceID="customersSource"
    AutoGenerateRows="False" AllowPaging="True">
    <Fields>
        <asp:BoundField DataField="CustomerID" HeaderText="ID" ReadOnly="True" SortExpression="CustomerID" />
        <asp:BoundField DataField="CompanyName" HeaderText="Societ&#224;" SortExpression="CompanyName" />
        <asp:BoundField DataField="ContactName" HeaderText="Nome" SortExpression="ContactName" />
        <asp:BoundField DataField="Phone" HeaderText="Telefono" SortExpression="Phone" />
        <asp:TemplateField HeaderText="Country">
            <ItemTemplate>
                - <%#Eval("Country") %> -
            </ItemTemplate>
            <EditItemTemplate>
                <asp:DropDownList ID="country" runat="server" SelectedValue='<%#Bind("Country") %>'>
                    <asp:ListItem>Italy</asp:ListItem>
                    <asp:ListItem>Germany</asp:ListItem>
                    <asp:ListItem>USA</asp:ListItem>
                </asp:DropDownList>
            </EditItemTemplate>
        </asp:TemplateField>
        <asp:CommandField CancelText="Annulla" DeleteText="Elimina" EditText="Modifica" UpdateText="Aggiorna" ShowEditButton="True" ShowDeleteButton="True" />
    </Fields>
</asp:DetailsView>
        </div>
    </form>
</body>
</html>
