<%@ Page Language="C#" %>
<%@ Register TagPrefix="aspitalia" Assembly="App_Code" Namespace="ASPItalia.Books.Web.Chapter11" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">

    void Page_Load(Object s, EventArgs e)
    {
        BindData();
    }

    private void BindData()
    {
        System.Collections.Generic.Dictionary<String, Int32> list = new System.Collections.Generic.Dictionary<String, Int32>();
        list.Add("File 1", 1024);
        list.Add("File 2", 1024 * 1024);
        list.Add("File 3", 1024 * 1024 * 1024);

        gridView1.DataSource = list;
        gridView1.DataBind();
    }

    void gridView1_RowEditing(object s, GridViewEditEventArgs e)
    {
        gridView1.EditIndex = e.NewEditIndex;
        BindData();
    }

    protected void gridView1_RowUpdated(object sender, GridViewUpdatedEventArgs e)
    {
    }

    protected void gridView1_RowCancelingEdit(object sender, GridViewCancelEditEventArgs e)
    {
        gridView1.EditIndex = -1;
        BindData();
    }

    protected void gridView1_RowUpdating(object sender, GridViewUpdateEventArgs e)
    {
        OrderedDictionary dic = new OrderedDictionary();
        // Estraggo il valore dalla cella manualmente
        gridView1.Columns[1].ExtractValuesFromCell(dic,
            (DataControlFieldCell)gridView1.Rows[e.RowIndex].Cells[1],
            DataControlRowState.Edit,
            true);
        
        // TODO: aggiornamento

        gridView1.EditIndex = -1;
        BindData();
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>11.15</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:GridView ID="gridView1" runat="server" AutoGenerateColumns="False" OnRowEditing="gridView1_RowEditing" OnRowUpdated="gridView1_RowUpdated" OnRowCancelingEdit="gridView1_RowCancelingEdit" OnRowUpdating="gridView1_RowUpdating">
            <Columns>
                <asp:BoundField DataField="Key" HeaderText="Nome" />
                <aspitalia:SizeField DataField="Value" HeaderText="Dimensione" />
                <asp:CommandField ShowEditButton="true" />
            </Columns>
        </asp:GridView>    
    </div>
    </form>
</body>
</html>
