<%@ Page Language="VB" %>

<%@ Register TagPrefix="aspitalia" Assembly="App_Code" Namespace="ASPItalia.Books.Web.Chapter11" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">

    Private Sub Page_Load(ByVal s As Object, ByVal e As EventArgs)
        ftp1.Credentials = New System.Net.NetworkCredential("FtpUser", "FtpUser")
        ftp2.Credentials = ftp1.Credentials
 
        'ftp1.MakeDirectory("test");
    End Sub
 
    Protected Sub treeView1_SelectedNodeChanged(ByVal sender As Object, ByVal e As EventArgs)
        ftp2.InitialPath = treeView1.SelectedNode.DataPath
    End Sub
    
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <aspitalia:FtpDataSource ID="ftp1" runat="server" UsePassive="true" Host="ftp://localhost" />
            <aspitalia:FtpDataSource ID="ftp2" runat="server" UsePassive="true" Host="ftp://localhost" />
            
            <asp:TreeView ID="treeView1" runat="server" DataSourceID="ftp1" OnSelectedNodeChanged="treeView1_SelectedNodeChanged">
                <DataBindings>
                    <asp:TreeNodeBinding DataMember="Directory" TextField="Name" ImageUrl="~/Images/folder.gif" />
                    <asp:TreeNodeBinding DataMember="File" TextField="Name" ImageUrl="~/Images/file.gif" />
                </DataBindings>
            </asp:TreeView>
        </div>
        <div style="position: absolute; left: 220px; top: 15px;">
            <asp:GridView ID="gridView1" runat="server" DataSourceID="ftp2" DataKeyNames="Name,IsDirectory" AutoGenerateColumns="False">
                <Columns>
                    <asp:BoundField DataField="Name" HeaderText="Nome" />
                    <aspitalia:SizeField DataField="Size" />
                    <asp:BoundField DataField="LastModified" HeaderText="Data" />
                    <asp:CheckBoxField DataField="IsDirectory" HeaderText="Directory" />
                    <asp:CommandField ShowDeleteButton="True" />
                </Columns>
            </asp:GridView>
        </div>
    </form>
</body>
</html>
