<%@ Page Language="C#" AutoEventWireup="true" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
	void Page_Load()
	{
		if (!(Page.IsPostBack))
		{
			UpdateRolesList();
		}
	}

	void UpdateRolesList()
	{
		RolesList.DataSource = Roles.GetRolesForUser(Request["username"]);
		RolesList.DataBind();
		AvailableRolesList.DataSource = Roles.GetAllRoles();
		AvailableRolesList.DataBind();

		// togliamo quelli gi attivati
		for (int i = 0; i <= AvailableRolesList.Items.Count - 1; i++)
		{
			for (int j = 0; j <= RolesList.Items.Count - 1; j++)
			{
				if (AvailableRolesList.Items[i].Text == RolesList.Items[j].Text)
				{
					AvailableRolesList.Items.RemoveAt(j);
				}
			}
		}
	}

	protected void AddToRoleButton_Click(object sender, System.EventArgs e)
	{
		// verifica selezionati
		for (int i = 0; i <= AvailableRolesList.Items.Count - 1; i++)
		{
			if (AvailableRolesList.Items[i].Selected)
			{
				Roles.AddUserToRole(Request["username"], AvailableRolesList.Items[i].Text);
			}
		}
		UpdateRolesList();
	}

	protected void RemoveFromRoleButton_Click(object sender, System.EventArgs e)
	{
		// verifica selezionati
		for (int i = 0; i <= RolesList.Items.Count - 1; i++)
		{
			if (RolesList.Items[i].Selected)
			{
				Roles.RemoveUserFromRole(Request["username"], RolesList.Items[i].Text);
			}
		}
		UpdateRolesList();
	}
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title>Capitolo 16</title>
</head>
<body>
	<form id="form1" runat="server">
		<div>
			<a href="./">Torna al pannello</a>
			<table width="100%">
				<tr>
					<td>
						<h1>
							Ruoli attuali per l'utente</h1>
						<asp:ListBox ID="RolesList" runat="server" /><br />
						<asp:Button ID="RemoveFromRoleButton" runat="server" Text="Rimuovi da ruoli selezionati"
							OnClick="RemoveFromRoleButton_Click" />
					</td>
					<td>
						<h1>
							Ruoli disponibili</h1>
						<asp:ListBox ID="AvailableRolesList" SelectionMode="Multiple" runat="server" />
						<br />
						<asp:Button ID="AddToRoleButton" runat="server" Text="Aggiungi a ruoli selezionati"
							OnClick="AddToRoleButton_Click" />
					</td>
				</tr>
			</table>
		</div>
	</form>
</body>
</html>
