﻿<%@ Page Language="C#" AutoEventWireup="true" masterpagefile="~/MasterPage.master" %>
<%@ import namespace="System.Data.SqlClient" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">

<script runat="server">
	private string CONNECTIONSTRING = ConfigurationManager.ConnectionStrings["db"].ConnectionString;

	protected void Page_Load(object sender, EventArgs e) {
		if (!Page.IsPostBack) {
			string[] restrictions = new string[4] { "Northwind", null, null, "BASE TABLE" };
			System.Data.SqlClient.SqlConnection s = new SqlConnection(CONNECTIONSTRING);
			s.Open();
			ddlListaTabelle.DataSource = s.GetSchema(SqlClientMetaDataCollectionNames.Tables, restrictions);
			ddlListaTabelle.DataBind();
			s.Close();
		}
	}

	protected void btnAbilitaDB_Click(object sender, EventArgs e) {
		SqlCacheDependencyAdmin.EnableNotifications(CONNECTIONSTRING);
		lbl.Text = "Database abilitato";
	}

	protected void btnAbilitaTabella_Click(object sender, EventArgs e) {
		SqlCacheDependencyAdmin.EnableTableForNotifications(CONNECTIONSTRING, ddlListaTabelle.SelectedValue);
		lbl.Text = "tabella " + ddlListaTabelle.SelectedValue + " abilitata";
		ddlListaTabelleAbilitate.DataSource = SqlCacheDependencyAdmin.GetTablesEnabledForNotifications(CONNECTIONSTRING);
		ddlListaTabelleAbilitate.DataBind();
	}

	protected void btnListaTabelle_Click(object sender, EventArgs e) {
		grd.DataSource = SqlCacheDependencyAdmin.GetTablesEnabledForNotifications(CONNECTIONSTRING);
		grd.DataBind();
	}

	protected void btnDisabilitaTabella_Click(object sender, EventArgs e) {
		SqlCacheDependencyAdmin.DisableTableForNotifications(CONNECTIONSTRING, ddlListaTabelle.SelectedValue);
		lbl.Text = "tabella " + ddlListaTabelle.SelectedValue + " disabilitata";
		grd.DataSource = SqlCacheDependencyAdmin.GetTablesEnabledForNotifications(CONNECTIONSTRING);
		grd.DataBind();
		ddlListaTabelleAbilitate.DataSource = SqlCacheDependencyAdmin.GetTablesEnabledForNotifications(CONNECTIONSTRING);
		ddlListaTabelleAbilitate.DataBind();
	}

	protected void btnDisbilitaDB_Click(object sender, EventArgs e) {
		SqlCacheDependencyAdmin.DisableNotifications(CONNECTIONSTRING);
		lbl.Text = "Database disabilitato";
	}

</script>
	<h4>Esempio 17.20 - Abilita il database</h4>
	<asp:button id="btnAbilitaDB" runat="server" text="Abilita DB" onclick="btnAbilitaDB_Click" />
	<hr />

	<h4>Esempio 17.20 - Abilita la tabella</h4>
	<asp:button id="btnAbilitaTabella" runat="server" text="Abilita tabella" onclick="btnAbilitaTabella_Click" />
	<asp:dropdownlist id="ddlListaTabelle" runat="server" datavaluefield="TABLE_NAME"/>
	<hr />

	<h4>Esempio 17.20 - Lista tabelle abilitate</h4>
	<asp:button id="btnListaTabelle" runat="server" text="Lista tabelle" onclick="btnListaTabelle_Click" />
	<asp:gridview id="grd" runat="server" />
	<hr />

	<h4>Esempio 17.20 - Disabilita tabella</h4>
	<asp:button id="btnDisabilitaTabella" runat="server" text="Disabilita tabella" onclick="btnDisabilitaTabella_Click" />
	<asp:dropdownlist id="ddlListaTabelleAbilitate" runat="server" />
	<hr />

	<h4>Esempio 17.20 - Disabilita database</h4>
	<asp:button id="btnDisbilitaDB" runat="server" text="Disabilita db" onclick="btnDisbilitaDB_Click" />
	<asp:label id="lbl" runat="server" />
	<hr />
</asp:Content>